<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (13) on Fri May 08 00:07:05 EEST 2020 -->
<title>Uses of Class bussiness.Restaurant</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-08">
<meta name="description" content="use: package: bussiness, class: Restaurant">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-use">
<script type="text/javascript">var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Restaurant.html" title="class in bussiness">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Uses of Class bussiness.Restaurant" class="title">Uses of Class<br>bussiness.Restaurant</h1>
</div>
<div class="classUseContainer">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../Restaurant.html" title="class in bussiness">Restaurant</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#data">data</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#presentation">presentation</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="classUses">
<ul class="blockList">
<li class="blockList">
<section class="detail"><a id="data">
<!--   -->
</a>
<h2>Uses of <a href="../Restaurant.html" title="class in bussiness">Restaurant</a> in <a href="../../data/package-summary.html">data</a></h2>
<div class="useSummary">
<table>
<caption><span>Fields in <a href="../../data/package-summary.html">data</a> declared as <a href="../Restaurant.html" title="class in bussiness">Restaurant</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../Restaurant.html" title="class in bussiness">Restaurant</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Controller.</span><code><span class="memberNameLink"><a href="../../data/Controller.html#restaurant">restaurant</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../data/package-summary.html">data</a> that return <a href="../Restaurant.html" title="class in bussiness">Restaurant</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../Restaurant.html" title="class in bussiness">Restaurant</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">RestaurantSerializator.</span><code><span class="memberNameLink"><a href="../../data/RestaurantSerializator.html#deserialize()">deserialize</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../data/package-summary.html">data</a> with parameters of type <a href="../Restaurant.html" title="class in bussiness">Restaurant</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">RestaurantSerializator.</span><code><span class="memberNameLink"><a href="../../data/RestaurantSerializator.html#serialize(bussiness.Restaurant)">serialize</a></span>&#8203;(<a href="../Restaurant.html" title="class in bussiness">Restaurant</a>&nbsp;restaurant)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="presentation">
<!--   -->
</a>
<h2>Uses of <a href="../Restaurant.html" title="class in bussiness">Restaurant</a> in <a href="../../presentation/package-summary.html">presentation</a></h2>
<div class="useSummary">
<table>
<caption><span>Fields in <a href="../../presentation/package-summary.html">presentation</a> declared as <a href="../Restaurant.html" title="class in bussiness">Restaurant</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../Restaurant.html" title="class in bussiness">Restaurant</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AdminGUI.</span><code><span class="memberNameLink"><a href="../../presentation/AdminGUI.html#restaurant">restaurant</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../Restaurant.html" title="class in bussiness">Restaurant</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">ChefGUI.</span><code><span class="memberNameLink"><a href="../../presentation/ChefGUI.html#restaurant">restaurant</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../Restaurant.html" title="class in bussiness">Restaurant</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CompositeItemGUI.</span><code><span class="memberNameLink"><a href="../../presentation/CompositeItemGUI.html#restaurant">restaurant</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../Restaurant.html" title="class in bussiness">Restaurant</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">WaiterGUI.</span><code><span class="memberNameLink"><a href="../../presentation/WaiterGUI.html#restaurant">restaurant</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Constructors in <a href="../../presentation/package-summary.html">presentation</a> with parameters of type <a href="../Restaurant.html" title="class in bussiness">Restaurant</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../presentation/AdminGUI.html#%3Cinit%3E(bussiness.Restaurant,presentation.CompositeItemGUI)">AdminGUI</a></span>&#8203;(<a href="../Restaurant.html" title="class in bussiness">Restaurant</a>&nbsp;restaurant,
<a href="../../presentation/CompositeItemGUI.html" title="class in presentation">CompositeItemGUI</a>&nbsp;compositeItemGUI)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../presentation/ChefGUI.html#%3Cinit%3E(bussiness.Restaurant)">ChefGUI</a></span>&#8203;(<a href="../Restaurant.html" title="class in bussiness">Restaurant</a>&nbsp;restaurant)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../presentation/CompositeItemGUI.html#%3Cinit%3E(bussiness.Restaurant)">CompositeItemGUI</a></span>&#8203;(<a href="../Restaurant.html" title="class in bussiness">Restaurant</a>&nbsp;restaurant)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../presentation/WaiterGUI.html#%3Cinit%3E(bussiness.Restaurant)">WaiterGUI</a></span>&#8203;(<a href="../Restaurant.html" title="class in bussiness">Restaurant</a>&nbsp;restaurant)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Restaurant.html" title="class in bussiness">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
